// vim: et:ts=4:sw=4:sts=4:ft=javascript

'use strict';

(function() {
    Ox.load({
        UI: {
//            theme: 'modern' //FIXME: get theme through localStorage
        }
    }, loadSpeedtrans);        

    function loadSpeedtrans(browserSupported) {
        
        if (!browserSupported) { alert("your browser is not supported"); return; }
        window.pandora = {
            'load': function() {
//                console.log(data);

                Ox.extend(pandora, {
                    $ui: {
                        body: $('body'),
                        document: $(document),
                        window: $(window).resize(function() {
                            pandora.resizeWindow();
                        })
                    },
                    storage: Ox.localStorage("speedtrans"),
                    ui: {},
                    site: {},
                    user: {}

                });
                pandora.resizeWindow = function() {
                    pandora.$ui.textArea.options({
                        'width': pandora.$ui.textPanel.width() - 20,
                        'height': pandora.$ui.textPanel.height() - 40
                    });
                }
                var prefix = "js/";

                Ox.getFile([prefix + "pandora-ui.js"], function() {
                    initSpeedtrans();
                });
            }
        };
        pandora.load();
    }

    function initSpeedtrans(data) {
        pandora.$ui.appPanel = pandora.ui.appPanel().appendTo(pandora.$ui.body);
        pandora.resizeWindow();
        
    }


})();




